<script setup>
import { defineProps, inject } from 'vue';

// defineProps(['text']);
const props = defineProps({
  text: String
});
const memos = inject("memos");
  const deleteMemo = (index) => {
    memos.value.splice(index, 1);
};
</script>

<template>
<span class="tag is-warning">
  {{ text }}
  <button class="delete is-small" v-on:click="deleteMemo(index)"></button>
</span>
</template>